#!/usr/bin/env ruby -wKU
# Download and install 10.4.11 Server Admin tools for Leopard
# 29.02.2008 filipp@mac.com

require 'open-uri'
require 'ftools'

url = "http://tinyurl.com/34c87p"
dst = "/Applications/Server 10.4"
dmg = "/tmp/SAT10.4.11.dmg"
tmp = "/tmp/sat-installer"

if not test ?e, dmg
  puts "* Downloading Server Admin tools 10.4.11..."
  open(dmg, "w").write(open(url).read)
end

mp = false
puts "* Copying and installing..."
`hdiutil mount #{dmg}`.scan(/\/Volumes.+/) do |mp|
  mp = mp
end

fail "Failed to mount Admin Tools image" unless mp

Dir.mkdir(tmp)
Dir.mkdir(dst)

File.copy(mp + "/Installers/Packages/ServerAdminTools.pkg/Contents/Archive.pax.gz", tmp)
Dir.chdir(tmp)

system("gunzip ./Archive.pax.gz")
system("pax -rf ./Archive.pax ./Applications/Server")
system("mv #{tmp}/Applications/Server/* '#{dst}/'")

puts "* Cleaning up..."
system("hdiutil unmount '#{mp}' -quiet && open '#{dst}'")
system("rm -r #{tmp} #{dmg}")
